Netbeans can’t compile because of “Class not found: javac1.8”! This is because I’m using JDK8 and the Ant in Netbeans 7.3 and below using Ant version below 1.9.0. The workaround; goto:  ("Bug 213403 - Java sources cannot be compiled using Ant when running IDE on JDK 8 ", 2012)

Tools > Options > Java > Ant > Properties; then set:

This will set Ant to tell the JDK to compile with JAVA7 compatibility.

Netbeans BUILD Options

Daftar Pustaka

Bug 213403 - Java sources cannot be compiled using Ant when running IDE on JDK 8 (2012, 06 01). Retrieved 06 02, 2014 from Netbeans Bugzilla: https://netbeans.org/bugzilla/show_bug.cgi?id=213403.^